Subject: Re: [PATCH 7] autoconf: Add support for setting CURLDIR, OPENSSLDIR, EXPATDIR

From: Jakub Narebski <[email-masked]>
Date: Thu, 10 Aug 2006 23:43:39 +0200

<opublikowany i wysłany>

Junio C Hamano wrote:

> Jakub Narebski <[email-masked]> writes:
> 
>> Jakub Narebski wrote:
>>
>>> Add support for --with-openssl=PATH and --without-openssl,
>>> --with-curl=PATH and --without-curl, --with-expat=PATH and
>>> --without-expat ./configure options, each setting or unsetting
>>> appropriate NO_PACKAGE and if called with argument also PACKAGEDIR
>>> (of which only CURLDIR is documented in Makefile)
>>> 
>>> All above options are supported as override to autodetection; more to
>>> come in the same style (override to autodetection), so moved the bulk
>>> of comments for site configuration down.
>>
>> Is this patch dropped?
> 
> I think it should be on "pu" but I might have missed it; it came
> with a warning not to apply didn't it?

Yes, although the warning is more about the _style_ than about what
it does. It works as far as I tested, but IMVHO it is a bit of hack. 

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git